﻿//DESCRIPTION:Align Digits in Selected Column(s) in Table with Figure Spaces
// 11-Aug-2010 A Jongware Script 
if (app.documents.length > 0 && app.selection.length == 1 && (app.selection[0] instanceof Column || app.selection[0] instanceof Cell || app.selection[0] instanceof Row || app.selection[0] instanceof Table))
{
	txt = app.selection[0].cells.everyItem().contents;
	longest = 0;
	for (i=0; i<txt.length; i++)
	{
		nspan = txt[i].match(/^\d+/);
		if (!nspan) continue;
		if (nspan[0].length > longest)
			longest = nspan[0].length;
	}
	for (i=0; i<txt.length; i++)
	{
		nspan = txt[i].match(/^\d+/);
		if (!nspan) continue;
		add = longest-nspan[0].length;
		while (add-- > 0)
			app.selection[0].cells[i].texts[0].insertionPoints[0].contents = SpecialCharacters.FIGURE_SPACE;
	}
} else
	alert ("No table column(s) selected");